For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Versions
      • GETDownload MSProject Xml
      • POSTRestore Project Version
      • POSTCopy Project Version
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Version

Restore Project Version

POST
https://api.projectmanager.com/api/data/projects/:projectId/version/:version/restore
POST
/api/data/projects/:projectId/version/:version/restore
$curl -X POST https://api.projectmanager.com/api/data/projects/projectId/version/1/restore \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string"
15 }
16}
Restores a Project to the state it was in at a specific Version in time. If successful, all changes made to the Project since this Version will be undone and the Project will return to its former state.
Was this page helpful?
Previous

Copy Project Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project to restore
versionintegerRequired
The version number to restore to

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
This is the projectId being restored to